# 借位封闭减法器 (BCS, Borrow Carry Subtractor) 

## 基本描述

计算两组8位整数的差，可以通过取补码转化为加法器。两组输入是同步的，输出也是同步的。总延迟为5tick。不含火把，故可以流水线。体积很小且速度快。可以在补码转换后作流水线加法器使用。

## 原链接：[点击传送](https://tieba.baidu.com/p/6646278486)

## 元件信息

- 作者
  - Fredbill
- 存档位置
  - 48 4 32
- 电路类型
  - 逻辑电路
- 电路大小
  - 4×18×12
- 总延迟
  - 5
- 适用版本
  - java版1.6及以上

## 标签

- `小型模块`
- `运算单元`
- `加/减法器`
- `二级模块`
- `java版`
- `2t流水`
- `无容器`
- `静音`
- `传统红石`

## 特性表

| 位宽      | 布线方式          | 位置    | 延迟 | 脉冲 | 注释                                 |
| --------- | ----------------- | ------- | ---- | ---- | ------------------------------------ |
| 输入数据1 | 8(竖式，高位在上) | 1 4 1   | 0    | 2    | 减数                                 |
| 输入数据2 | 8                 | 4 4 1   | 0    | 2    | 被减数                               |
| 输出数据  | 8                 | 2 1 12  | 5    | 2    | 两数之差                             |
| 控制端口1 | 1                 | 3 1 6   | 1    | 2    | 最低位借位，可视为-1，拉杆默认为拉下 |
| 标志位1   | 1                 | 3 18 10 | 4    | 2    | 最高位是否向高位借位，是则输出1      |

## 检查单

| 是否含火把         | 仅在控制端口有1个 | 是否支持2t流水线 | 是  |
| ------------------ | ----------------- | ---------------- | --- |
| 是否含活塞         | 否                | 是否为“无红石粉” | 否  |
| 是否含侦测器       | 否                | 是否含容器       | 否  |
| 是否含漏斗、投掷器 | 否                | 是否含实体       | 否  |
| 是否使用墙电       | 否                | 是否使用水电     | 否  |
