# ARS 模块索引

>该文档正在完善中。

![Doc Logo](assets/image/index.png)

## 介绍

该文档旨在收录现有的所有红石元器件，方便广大玩家快速查找并使用所需模块，降低心智负担，允许他们将精力更多倾注于构思机器架构本身而非重复造轮子，让效率最大化。:D

## 模块目录

- [模块目录](./modules)

## 使用

你可以先将该仓库clone到本地，这需要你提前安装git：

```bash
git clone http://shenjack.top:5100/ARS/ARS-docs.git
```

在仓库的`modules`目录中，选择你所需要的模块名称，进入该文件夹，其内就包含了该模块本体。

对于扩展名为`nbt`的模块文件，请将其复制或粘贴至`.minecraft/saves/<World Name>/generated/minecraft/structures`目录。然后，启动Minecraft，进入世界后，放置结构方块，选择“加载”模式，输入文件名称，点击“加载”后，会出现一个框架，这代表模块将会生成的位置。再点一次“加载”，模块就能正确生成了。

对于扩展名为`schem`的模块文件，你需要下载并启用[World Edit](https://enginehub.org/worldedit)模组。模组文件的命名格式为`worldedit-mod-<version>.jar`。请将其复制或粘贴至`.minecraft/mods`目录。这样，进入世界时就可以使用它了。**请注意：必须提前下载并安装[Fabric](https://fabricmc.net)才会出现`mods`文件夹！**

你可以按照以下步骤粘贴：

1. **加载原理图**：输入`/schematic load <fileName>`即可将你准备好的原理图加载。
2. **粘贴原理图**：输入`/paste`即可完成粘贴。

对于扩展名为`litematic`的模块文件，你需要下载并启用[Litematica](https://www.curseforge.com/minecraft/mc-mods/litematica)模组。模组文件的命名格式为`litematica-<version>.jar`。请将其复制或粘贴至`.minecraft/mods`目录。这样，进入世界时就可以使用它了。**请注意：必须提前下载并安装[Fabric](https://fabricmc.net)才会出现`mods`文件夹！**

一旦你准备好了这些，你可以按照以下步骤使用投影：

1. **打开投影**：在游戏中，默认按键“M”可以打开Litematica界面。
2. **加载原理图**：选择“加载原理图”选项，然后从你放入的`.minecraft/schematics`目录中选择对应的`.schem`或`.litematic`文件。加载完成后，你将能在世界上预览该模块。
3. **调整位置**：使用投影工具（通常为木棍），你可以通过按键组合来调整投影的位置和方向。例如，使用“Ctrl”+滚轮可以调整投影的高度；而使用“Alt”+滚轮则可以调整投影的层数。此外，通过手持投影工具并将模式设置为2/5/9（使用“Ctrl”+滚轮进行切换），你可以进一步微调投影的放置方式。
4. **粘贴投影**：当一切调整完毕后，确保你手持投影工具并将模式设置至5。然后按下你在配置菜单->热键中设置的“执行操作”(execute operation)键。这将把投影粘贴到世界中。**请注意**：新安装的Litematica并没有默认的执行操作键，所以务必先进行设置。

**注意**：如果你开启了版本隔离，那么上述的`.minecraft`目录将变为`.minecraft/versions/<versionName>/`。请根据你的实际游戏版本进行相应的调整。

## 贡献

我们欢迎所有对红石电路和Minecraft有兴趣的朋友为这份文档贡献自己的力量。您的每一个建议、修改和新增内容，都将帮助这份文档变得更加完善，为更多的玩家提供便利。

在贡献之前，请您仔细阅读以下指南，以确保您的贡献能够被顺利接受并整合到文档中：

1. **提交工单**：在添加新标签或模块之前，请先在[我们的工单系统](http://shenjack.top:5100/ARS/ARS-docs/issues)中发起一个工单。工单的标题应按照“添加 标签/模块 申请 <后缀>”的格式进行命名，其中“<后缀>”可以是简短的描述或关键词，以便我们快速了解您的需求。
2. **说明内容**：在工单中，请详细说明您想要添加的新标签或模块的相关信息。包括标签或模块的名称、描述、用途、使用方法、相关图片等。这将帮助我们更好地理解和评估您的需求，以及后续的整合工作。
3. **文件格式和命名**：提交的文件应遵循Markdown格式规范，并确保文件名与标签或模块的名称一致。图片文件应存放在与说明文档相同的文件夹中，并以有意义的名称进行命名。
4. **检查内容**：在提交之前，请仔细检查您的内容，确保没有语法错误、拼写错误或其他问题。这将有助于提高文档的整体质量和可读性。
5. **等待审核**：提交工单后，我们的团队将对您的申请进行审核。如果申请被接受，我们将尽快将您的贡献整合到文档中，并通过工单系统通知您。

通过遵循以上指南，您将能够更高效地为我们贡献自己的力量，并帮助这份文档不断完善和发展。我们期待您的加入，共同为Minecraft社区做出贡献！
